:

解决 python 升级导致的 yum 问题

发布于:2019-2-14 9:26 作者:song100e 浏览:32 分类:Linux

由于 CentOS 系统自带的python版本较低,所以打算升级到最新版本3.7,升级后的yum却出现了问题。

yum_error.PNG


修改 /usr/bin/yum 的顶部python版本
!/usr/bin/python
改成了
!/usr/bin/python2.7
后,运行yum,还是出现了以下错误:
解决方案:

yum_python2.PNG

1. vim /usr/libexec/urlgrabber-ext-down
将/usr/bin/python 改为 /usr/bin/python2.7。

2. vim /usr/bin/yum-config-manager
解决办法同上: #!/usr/bin/python 换成 #!/usr/bin/python2.7

标签: python3

0